php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #10811
Submitted: 2001-05-11 06:01 UTC Modified: 2001-06-03 23:48 UTC
From: christelle dot duarte at univ-fcomte dot fr Assigned:
Status: Closed Package: Installation problem
PHP Version: 4.0.4pl1 OS: AIX 4.3.3.0
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: christelle dot duarte at univ-fcomte dot fr
New email:
PHP Version: OS:

 

 [2001-05-11 06:01 UTC] christelle dot duarte at univ-fcomte dot fr
When I want to configure PHP I have this error message in the debug.log

./configure --with-oracle=/oracle8/8.1.6 --with-oci8=/oracle/8.1.6 --with-apache=/apache/apache_1.3.12 --enable-track-vars --enable-sigchild --without-mysql

ld : 0706-027 The -R /oracle8/8.1.6/lib flag is ignored
ld : 0706-006 Cannot find or open library file : -l core4
  ld:open() : No such file or directory
ld : 0706-006 Cannot find or open library file : -l nlsrtl13
  ld:open() : No such file or directory

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-05-11 18:20 UTC] sniper@php.net
Please try the latest CVS snapshot from http://snaps.php.net 
as I just fixed one bug in the configure related to Oracle.


--Jani

 [2001-05-17 07:43 UTC] christelle dot duarte at univ-fcomte dot fr
I trying to build Apache 1.3.12 with PHP4 and Oracle 8.1.6.
I've now loaded the latest version of PHP4 from snaps.php.net as 4.0.4pl1 didn't detect
Oracle 8 correctly and built this OK with:-

./configure --without-mysql --enable-sigchild 
    --with-oci8=/oracle8/8.1.6
    --with-apache=/apache/apache_1.3.12 --enable-track-vars
make
make install

It thens fails when I try to link it into Apache with:-

cd ../apache_1.3.12
./configure --activate-module=src/php4/libphp4.a
make

        cc  -DAIX=43 -U__STR__ -DAIX_BIND_PROCESSOR -qnogenpcomp -qnousepcomp -I/php/php4 -I/php/php4/main -I/
php/php4/main -I/php/php4/Zend -I/php/php4/Zend -I/php/php4/TSRM -I/php/php4/TSRM -I/php/php4 -DUSE_EXPAT -I./
lib/expat-lite -DNO_DL_NEEDED `./apaci` -lm    -o httpd buildmark.o modules.o  modules/php4/libphp4.a  modules
/standard/libstandard.a  main/libmain.a  ./os/unix/libos.a  ap/libap.a  lib/expat-lite/libexpat.a  -R/oracle8/
8.1.6/lib  -L/oracle8/8.1.6/lib -Lmodules/php4 -L../modules/php4 -L../../modules/php4 -lmodphp4   -ldl -lld -l
bsd_r -lm -lodm -ldl -lcrypt -lbind -lm -ldl  -lclntsh
ld : 0706-027 L'option -R /oracle8/8.1.6/lib n'est pas prise en compte.
ld : 0711-317 ERREUR : Symbole non d?fini : .alloca
ld : 0711-345 Pour plus de d?tails, utilisez
        l'option -bloadmap ou -bnoquiet.
make : 1254-004 Code d'erreur de la derni?re commande : 8.



 [2001-05-23 02:18 UTC] sniper@php.net
Sorry, but I don't understand french.
Please use the english locales when compiling.

I see you're trying to compile it as static.
Did you first run ./configure in apache dir?
And is that /apache/apache_1.3.12 the sources ?

--Jani

 [2001-06-03 23:48 UTC] sniper@php.net
This should be fixed in PHP 4.0.6R. Please try the 
latest release candidate from:

http://www.php.net/~andi/php-4.0.6RC2.tar.gz

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sat Jan 29 07:03:34 2022 UTC